ONEVM(1)

NAME
onevm

SYNOPSIS
onevm command [args] [options]

OPTIONS
 -m, --multiple x          Instance multiple VMs
 --name name               Name for the new VM
 --cpu cpu                 CPU percentage reserved for the VM (1=100% one CPU)
 --arch arch               Architecture of the VM, e.g.: i386 or x86_64
 --memory memory           Memory ammount given to the VM
 --disk disk0,disk1        Disks to attach. To use a disk owned by other user use user[disk]
 --network network0,network1 Networks to attach. To use a network owned by other user use user[network]
 --raw string              Raw string to add to the template. Not to be confused with the RAW attribute
 -t, --type type           Type of the new Image
 -f, --file file           Selects the template file
 -i, --image id|name       Selects the image
 -t, --target type         Device where the image will be attached
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 -k, --kilobytes           Show units in kilobytes
 --describe                Describe list columns
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create [file]

    Creates a new VM from the given description instead of using a previously
    defined template (see 'onetemplate create' and 'onetemplate instantiate').
    Examples:
      - using a template description file:
        onevm create vm_description.tmpl
      - new VM named "arch vm" with a disk and a nic
        onevm create --name "arch vm" --memory 128 --cpu 1 --disk arch \
                     --network private_lan
      - a vm with two disks
        onevm create --name "test vm" --memory 128 --cpu 1 --disk arch,data
    valid options: multiple, name, cpu, arch, memory, disk, network, raw

•   delete range|vmid_list

    Deletes the given VM
    States: ANY

•   hold range|vmid_list

    Sets the given VM on hold. A VM on hold is not scheduled until it is
    released. It can be, however, deployed manually; see 'onevm deploy'
    States: PENDING

•   release range|vmid_list

    Releases a VM on hold. See 'onevm hold'
    States: HOLD

•   saveas vmid diskid img_name

    Sets the specified VM disk to be saved in a new Image. The Image is
    created immediately, but the contents are saved only if the VM is
    shut down gracefully (i.e., using 'onevm shutdown' and not
    'onevm delete')
    States: ANY
    valid options: type

•   shutdown range|vmid_list

    Shuts down the given VM. The VM life cycle will end.
    States: RUNNING

•   poweroff range|vmid_list

    Powers off the given VM. The VM will remain in the poweroff state, and
    can be powered on with the 'onevm restart' command.
    States: RUNNING

•   reboot range|vmid_list

    Reboots the given VM, this is equivalent to execute the reboot command
    from the VM console.
    States: RUNNING

•   reset range|vmid_list

    Resets the given VM
    States: RUNNING

•   deploy range|vmid_list hostid

    Deploys the given VM in the specified Host. This command forces the
    deployment, in a standard installation the Scheduler is in charge
    of this decision
    States: PENDING

•   livemigrate range|vmid_list hostid

    Migrates the given running VM to another Host without downtime
    States: RUNNING

•   migrate range|vmid_list hostid

    Saves the given running VM and starts it again in the specified Host
    States: RUNNING

•   restart range|vmid_list

    Boots the given VM.
    States: UNKNOWN, BOOT, POWEROFF

•   resubmit range|vmid_list

    Resubmits the VM to PENDING state. This is intended for VMs stuck in a
    transient state. To re-deploy a fresh copy of the same VM, create a
    Template and instantiate it, see 'onetemplate instantiate'
    States: ANY, except SUSPENDED or DONE

•   cancel range|vmid_list

    Cancels the given VM. The process is checked by OpenNebula, so
    if the process fails the VM remains in running state. If the action
    succeeds the VMDIR in the remote machine is not deleted
    States: RUNNING

•   stop range|vmid_list

    Stops a running VM. The VM state is saved and transferred back to the
    front-end along with the disk files
    States: RUNNING

•   suspend range|vmid_list

    Saves a running VM. It is the same as 'onevm stop', but the files
    are left in the remote machine to later restart the VM there
    (i.e. the resources are not freed and there is no need to
    re-schedule the VM).
    States: RUNNING

•   resume range|vmid_list

    Resumes the execution of the a saved VM
    States: STOPPED, SUSPENDED

•   attachdisk vmid

    Attaches a disk to a running VM
    States: RUNNING
    valid options: file, image, target

•   detachdisk vmid diskid

    Detaches a disk from a running VM
    States: RUNNING

•   chgrp range|vmid_list groupid

    Changes the VM group

•   chown range|vmid_list userid [groupid]

    Changes the VM owner and group

•   chmod range|vmid_list octet

    Changes the VM permissions

•   resched range|vmid_list

    Sets the rescheduling flag for the VM.
    States: RUNNING

•   unresched range|vmid_list

    Clears the rescheduling flag for the VM.
    States: RUNNING

•   list [filterflag]

    Lists VMs in the pool
    valid options: list, delay, xml, numeric, kilobytes, describe

•   show vmid

    Shows information for the given VM
    valid options: xml

•   top [filterflag]

    Lists Images continuously
    valid options: list, delay, xml, numeric, kilobytes

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   hostid

    OpenNebula HOST name or id

•   groupid

    OpenNebula GROUP name or id

•   userid

    OpenNebula USER name or id

•   vmid

    OpenNebula VM name or id

•   vmid_list

    Comma-separated list of OpenNebula VM names or ids

•   filterflag

    a, all       all the known VMs
    m, mine      the VM belonging to the user in ONE_AUTH
    g, group     'mine' plus the VM belonging to the groups
                 the user is member of
    uid          VM of the user identified by this uid
    user         VM of the user identified by the username

•   diskid

    Integer

LICENSE
OpenNebula 3.8.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0